<template>
	<view class="container">
		<web-view :src="baseUrl + url"></web-view>
	</view>
</template>

<script>
	import request from '../../api/cms.js';
	import { BASE_URL } from '../../env.js';
	export default {
		components: {},
		onLoad: function (option) {
			this.id = option.id;
			this.url = `/cms/article/${option.id}?type=${option.page || 'info'}`;
		},
		data() {
			return {
				baseUrl: BASE_URL.url,
				url: '',
				id: '',
				page: ''
			}
		},
		async mounted() {
			await request.addBlogViews({ id: this.id });
		},
		methods: {}
	}
</script>

<style>
</style>
